local path = core.get_modpath("btmt")

btmt = {}

-- gui_vfx
dofile(path.."/src/VFX_GUI/gui.lua")
dofile(path.."/src/VFX_GUI/btmt_wielded_Item_name.lua")
dofile(path.."/src/VFX_GUI/btmt_particles.lua")
dofile(path.."/src/VFX_GUI/btmt_ambiencesounds.lua")
dofile(path.."/src/VFX_GUI/btmt_playeranimation.lua")
dofile(path.."/src/VFX_GUI/btmt_ambiencesounds.lua")

if not core.get_modpath("hudbars") then
dofile(path.."/src/VFX_GUI/btmt_hud_armor.lua")
end

-- DECO:
dofile(path.."/src/biomes_deco/btmt_vegetation.lua")
dofile(path.."/src/biomes_deco/btmt_newflowers.lua")
dofile(path.."/src/biomes_deco/btmt_biomes_deco.lua")
dofile(path.."/src/biomes_deco/btm_caves.lua")
dofile(path.."/src/biomes_deco/btmt_ruims.lua")
--dofile(path.."/src/biomes_deco/btmt_deaths.lua")

-- MOBS :
if not core.get_modpath("animalia") and not core.get_modpath("mobs_animal") then
dofile(path.."/src/btmt_mobs/btmt_cow.lua")
dofile(path.."/src/btmt_mobs/btmt_pig.lua")
dofile(path.."/src/btmt_mobs/btmt_chicken.lua")
dofile(path.."/src/btmt_mobs/btmt_sheep.lua")
end

--dofile(path.."/src/btmt_mobs/btmt_cric.lua")


if not core.get_modpath("marinara") then
dofile(path.."/src/biomes_deco/btmt_ocean.lua")
end

-- extensão vanila:
dofile(path.."/src/vanilla_extension/btmt_easy_ores.lua")
dofile(path.."/src/vanilla_extension/btmt_doors.lua")
dofile(path.."/src/vanilla_extension/btmt_stones.lua")
dofile(path.."/src/vanilla_extension/btmt_walls.lua")
dofile(path.."/src/vanilla_extension/btmt_Urns_loot.lua")
dofile(path.."/src/vanilla_extension/btmt_lanterns.lua")
dofile(path.."/src/vanilla_extension/btmt_barrels.lua")
dofile(path.."/src/vanilla_extension/btmt_carpets.lua")
dofile(path.."/src/vanilla_extension/btmt_Glass_Pane_Stained.lua")
dofile(path.."/src/btm_crops/sunflower.lua")

-- CROPS :
if not core.get_modpath("x_farming") and not core.get_modpath("crops") then
    dofile(path.."/src/btm_crops/carrot.lua")
    dofile(path.."/src/btm_crops/potato.lua")
    dofile(path.."/src/btm_crops/pumpkin.lua")
    dofile(path.."/src/btm_crops/tomato.lua")   
    dofile(path.."/src/btm_crops/btmt_foods.lua")
end

--- SUPORTS :
dofile(path .. "/btmt_suports.lua")

